Rivet::AnalysisInfo Class Reference

## Public Member Functions

Standard constructors and destructors.
| AnalysisInfo ()
| The default constructor.
| ~AnalysisInfo ()
| The destructor.
Metadata
Metadata is used for querying from the command line and also for building web pages and the analysis pages in the Rivet manual.
std::string | name () const
void | setName (const std::string &name)
| Set the name of the analysis.
const std::string & | inspireId () const
| Get the Inspire (SPIRES replacement) ID code for this analysis.
void | setInspireId (const std::string &inspireId)
| Set the Inspire (SPIRES replacement) ID code for this analysis.
const std::string & | spiresId () const
| Get the SPIRES ID code for this analysis.
void | setSpiresId (const std::string &spiresId)
| Set the SPIRES ID code for this analysis.
const std::vector< std::string > & | authors () const
| Names & emails of paper/analysis authors. Names and email of authors in 'NAME <EMAIL>' format. The first name in the list should be the primary contact person.
void | setAuthors (const std::vector< std::string > &authors)
| Set the author list.
const std::string & | summary () const
| Get a short description of the analysis. Short (one sentence) description used as an index entry. Use description() to provide full descriptive paragraphs of analysis details.
void | setSummary (const std::string &summary)
| Set the short description for this analysis.
const std::string & | description () const
| Get a full description of the analysis. Full textual description of this analysis, what it is useful for, what experimental techniques are applied, etc. Should be treated as a chunk of restructuredText (http://docutils.sourceforge.net/rst.html), with equations to be rendered as LaTeX with amsmath operators.
void | setDescription (const std::string &description)
| Set the full description for this analysis.
const std::string & | runInfo () const
| Information about the events needed as input for this analysis. Event types, energies, kinematic cuts, particles to be considered stable, etc. etc. Should be treated as a restructuredText bullet list (http://docutils.sourceforge.net/rst.html)
void | setRunInfo (const std::string &runInfo)
| Set the full description for this analysis.
const std::vector< PdgIdPair > & | beams () const
| Beam particle types.
void | setBeams (const std::vector< PdgIdPair > &beams)
| Set beam particle types.
const std::vector< std::pair< double, double > > & | energies () const
| Sets of valid beam energies.
void | setEnergies (const std::vector< std::pair< double, double > > &energies)
| Set the valid beam energies.
const std::string & | experiment () const
| Experiment which performed and published this analysis.
void | setExperiment (const std::string &experiment)
| Set the experiment which performed and published this analysis.
const std::string & | collider () const
| Collider on which the experiment ran.
void | setCollider (const std::string &collider)
| Set the collider on which the experiment ran.
const std::string & | year () const
| When the original experimental analysis was published. When the refereed paper on which this is based was published, according to SPIRES.
void | setYear (const std::string &year)
| Set the year in which the original experimental analysis was published.
const std::vector< std::string > & | references () const
| Journal and preprint references.
void | setReferences (const std::vector< std::string > &references)
| Set the journal and preprint reference list.
const std::string & | bibKey () const
| BibTeX citation key for this article.
void | setBibKey (const std::string &bibKey)
| Set the BibTeX citation key for this article.
const std::string & | bibTeX () const
| BibTeX citation entry for this article.
void | setBibTeX (const std::string &bibTeX)
| Set the BibTeX citation entry for this article.
const std::string & | status () const
| Whether this analysis is trusted (in any way!)
void | setStatus (const std::string &status)
| Set the analysis code status.
const std::vector< std::string > & | todos () const
| Any work to be done on this analysis.
void | setTodos (const std::vector< std::string > &todos)
| Set the to-do list.
bool | needsCrossSection () const
| Return true if this analysis needs to know the process cross-section.
void | setNeedsCrossSection (bool needXsec)
| Return true if this analysis needs to know the process cross-section.

## Static Public Member Functions

static AnalysisInfo * | make (const std::string &name)
| Static factory method: returns null pointer if no metadata found. More...

## Member Function Documentation

AnalysisInfo * Rivet::AnalysisInfo::make | ( | const std::string & | name | ) |

static

Static factory method: returns null pointer if no metadata found.

Static factory method.

If no ana data file found, return null AI

References AnalysisInfo(), authors(), beams(), bibKey(), bibTeX(), collider(), description(), energies(), experiment(), Rivet::findAnalysisInfoFile(), inspireId(), Rivet::make_pdgid_pair(), name(), references(), runInfo(), spiresId(), status(), summary(), todos(), and year().

Referenced by Rivet::Analysis::Analysis().

std::string Rivet::AnalysisInfo::name | ( |  | ) | const

inline

Get the name of the analysis. By default this is computed using the experiment, year and Inspire/Spires ID metadata methods.

References experiment(), inspireId(), spiresId(), and year().

Referenced by make(), Rivet::Analysis::name(), setName(), and Rivet::toString().

The documentation for this class was generated from the following files:

- include/Rivet/AnalysisInfo.hh
- src/Core/AnalysisInfo.cc